#include <cstdio>
#include <cstring>
#include <algorithm>
using namespace std;

//napravi nasumicno permutaciju i invertuj je (u inat)
int A[5005],i,j,k,N,B[5005];

int main(){
   freopen("flojd.in","r",stdin);
   freopen("flojd.out","w",stdout);
   srand(11);
   scanf("%d",&N);
   for (i=1; i<=N; i++) A[i] = i;
   for (i=1; i<N; i++){
      j = rand()%(N-i+1) + i;
      k = A[i];
      A[i] = A[j];
      A[j] = k;
   }
   for (i=1; i<=N; i++){
      B[A[i]]=i;
   }
   for (i=1; i<=N; i++) printf("%d\n",B[i]);
   return 0;
}



